Description
ManualGrayEvent is the Schema for the ManualGrayEvent API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

ManualGrayEventSpec defines the desired state of ManualGrayEvent

statusobject

ManualGrayEventStatus defines the observed state of ManualGrayRelease

.spec

Description
ManualGrayEventSpec defines the desired state of ManualGrayEvent
Type
object
Required
deliverTypephase
PropertyTypeDescription
deliverTypestring

deliver type, canary or ab or others

eventsarray
finishTimestring

GrayWorkloadDeployTime of this condition

phasestring

.spec.events

Type
array

.spec.events[]

Description
GrayEvent is a status condition for a event
Type
object
Required
step
PropertyTypeDescription
errstring

err if the target not valid

lastTransitionTimestring

LastTransitionTime of this condition

messagestring

Message associated with this condition

phasestring

phase of this condition

startTimestring

StartTime of this condition

stepstring

Type of this condition

.status

Description
ManualGrayEventStatus defines the observed state of ManualGrayRelease
Type
object
PropertyTypeDescription
finishTimestring

GrayWorkloadDeployTime of this condition

phasestring

API Endpoints

The following API endpoints are available:

  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayevents
    • DELETE: delete collection of ManualGrayEvent
    • GET: list objects of kind ManualGrayEvent
    • POST: create a new ManualGrayEvent
  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayevents/{name}
    • DELETE: delete the specified ManualGrayEvent
    • GET: read the specified ManualGrayEvent
    • PATCH: partially update the specified ManualGrayEvent
    • PUT: replace the specified ManualGrayEvent
  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayevents/{name}/status
    • GET: read status of the specified ManualGrayEvent
    • PATCH: partially update status of the specified ManualGrayEvent
    • PUT: replace status of the specified ManualGrayEvent

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayevents

HTTP method
DELETE
Description
delete collection of ManualGrayEvent
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind ManualGrayEvent
HTTP responses
HTTP codeResponse body
200 - OKManualGrayEventList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new ManualGrayEvent
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyManualGrayEvent schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKManualGrayEvent schema
201 - CreatedManualGrayEvent schema
202 - AcceptedManualGrayEvent schema
401 - UnauthorizedEmpty

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayevents/{name}

HTTP method
DELETE
Description
delete the specified ManualGrayEvent
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified ManualGrayEvent
HTTP responses
HTTP codeResponse body
200 - OKManualGrayEvent schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified ManualGrayEvent
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKManualGrayEvent schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified ManualGrayEvent
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyManualGrayEvent schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKManualGrayEvent schema
201 - CreatedManualGrayEvent schema
401 - UnauthorizedEmpty

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayevents/{name}/status

HTTP method
GET
Description
read status of the specified ManualGrayEvent
HTTP responses
HTTP codeResponse body
200 - OKManualGrayEvent schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified ManualGrayEvent
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKManualGrayEvent schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified ManualGrayEvent
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyManualGrayEvent schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKManualGrayEvent schema
201 - CreatedManualGrayEvent schema
401 - UnauthorizedEmpty